const f = (t, r) => {
  if (!t || !r || Object.keys(t).length !== Object.keys(r).length) return !1;
  for (let e in t) {
    if (r[e] === void 0) return !1;
    if (typeof r[e] == "function" || typeof t[e] == "function") throw new Error("type error");
    if (typeof r[e] != typeof t[e]) return !1;
    if (t[e] !== null && typeof t[e] == "object") return f(t[e], r[e]);
    if (t[e] !== r[e]) return !1;
  }
  return !0;
};
export {
  f as objEqual
};
